Issue 123792 - annotations on text ranges - complete OSBA OOXML improvement use case 4
Summary: annotations on text ranges - complete OSBA OOXML improvement use case 4
Status: RESOLVED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 4.1.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: Oliver-Rainer Wittmann
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 123877 123771
  Show dependency tree
 
Reported: 2013-12-02 10:16 UTC by Oliver-Rainer Wittmann
Modified: 2014-01-08 14:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2013-12-02 10:16:14 UTC
OSBA OOXML improvement use case 4 provide the first implementation steps for the enhancement 'annotations on text ranges' - see bug 123771.
The provided changes are not complete and are not stable.

This issue is used to provide at least the minimal corrections and function gaps.
Comment 1 Oliver-Rainer Wittmann 2013-12-04 10:26:32 UTC
The changes for OSBA OOXML improvement project use case 4 are not working well:
- delete an annotation on a text range and undo the deletion does not work.
- the 'Fieldmark' feature does not seem to be stable enough.
- only annotations on text ranges inside one paragraph are supported.
- overlapping annotations can be created, but are not supported.
- WW8 import/export not adopted to support annotations on text ranges.
Comment 2 Oliver-Rainer Wittmann 2013-12-09 14:30:35 UTC
An additional problem of the changes of OSBA OOXML improvement project use case 4 is that text formattings applied to an annotation's content are lost on load (ODF) when it is an annotation on a text range.
Comment 3 SVN Robot 2013-12-18 12:36:24 UTC
"orw" committed SVN revision 1551920 into branches/ooxml-osba:
123792: complete annotations on text ranges feature
Comment 4 Oliver-Rainer Wittmann 2013-12-18 12:41:45 UTC
completed enhancement 'annotations on text ranges' on branch ooxml-osba.

Still not supported is the WW8 import/export of annotations on text ranges as this needs further effort --> follow-up issue
Comment 5 SVN Robot 2013-12-18 14:42:04 UTC
"orw" committed SVN revision 1551954 into branches/ooxml-osba:
123792: commit missing header file
Comment 6 SVN Robot 2013-12-18 14:45:03 UTC
"orw" committed SVN revision 1551958 into branches/ooxml-osba:
123792: provide missing include
Comment 7 SVN Robot 2013-12-19 11:40:48 UTC
"orw" committed SVN revision 1552283 into branches/ooxml-osba:
123792: corrections regarding copy-and-paste of annotation fields
Comment 8 SVN Robot 2013-12-19 18:50:59 UTC
"orw" committed SVN revision 1552394 into trunk:
123792: complete annotations on text ranges feature
Comment 9 Oliver-Rainer Wittmann 2014-01-02 14:47:10 UTC
solved on trunk for next release
Comment 10 SVN Robot 2014-01-08 14:26:07 UTC
"orw" committed SVN revision 1556542 into trunk:
123792: correction for comments/annotations on table cell ranges